import { IgPoint } from "igniteui-react-core";
import { IgrSeriesViewer } from "./igr-series-viewer";
import { PlotAreaMouseEventArgs as PlotAreaMouseEventArgs_internal } from "./PlotAreaMouseEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Provides data for IgxDataChartComponent mouse button related events.
*/
export declare class IgrPlotAreaMouseEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): PlotAreaMouseEventArgs_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get chartPosition(): IgPoint;
    set chartPosition(v: IgPoint);
    get plotAreaPosition(): IgPoint;
    set plotAreaPosition(v: IgPoint);
    get isDuringManipulation(): boolean;
    set isDuringManipulation(v: boolean);
    /**
     * Gets the Chart associated with the current event.
    */
    get viewer(): IgrSeriesViewer;
    set viewer(v: IgrSeriesViewer);
}
